Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.ldap
Class LDAPRoleModule

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.RoleModuleService
              org.jboss.portal.identity.ldap.LDAPRoleModule

All Implemented Interfaces:
  RoleModule

Direct Known Subclasses:
  CachedLDAPRoleModuleWrapper, LDAPRoleModuleImpl

    public abstract class LDAPRoleModule

extends RoleModuleService

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`LDAPRoleModule()`

Method Summary
`LDAPRoleImpl` | `createRoleInstance(javax.naming.directory.Attributes attrs, java.lang.String dn)`
`Role` | `findRoleByDN(java.lang.String dn)` method not belonging to UserModule interface - ldap specific.
`protected LDAPConnectionContext` | `getConnectionContext()`
`protected java.lang.String` | `getContainerDN()`
`protected java.lang.String` | `getDisplayNameAttributeID()`
`protected java.lang.String` | `getRidAttributeID()`
`protected java.lang.String` | `getRoleCtxDN()`
`protected java.lang.String` | `getRoleSearchFilter()`
`protected int` | `getSearchScope()`
`protected int` | `getSearchTimeLimit()`
`abstract java.util.List` | `searchRoles(java.lang.String filter, java.lang.Object[] filterArgs)` This method should be used by over modules to perform searches.
`void` | `setConnectionContext(LDAPConnectionContext connectionContext)`
`void` | `start()`
`void` | `updateDisplayName(LDAPRoleImpl ldapr, java.lang.String name)`

Methods inherited from class org.jboss.portal.identity.service.RoleModuleService
`fireRoleCreatedEvent, fireRoleDestroyedEvent, fireRoleUpdatedEvent`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.identity.RoleModule
`createRole, findRoleById, findRoleById, findRoleByName, findRoles, findRolesByNames, getRolesCount, removeRole`

Constructor Detail

### LDAPRoleModule

    public LDAPRoleModule()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `IdentityModuleService`
  Throws:
    `java.lang.Exception`

### updateDisplayName

    public void updateDisplayName(LDAPRoleImpl ldapr,
                                  java.lang.String name)
                           throws IdentityException

  Throws:
    `IdentityException`

### createRoleInstance

    public LDAPRoleImpl createRoleInstance(javax.naming.directory.Attributes attrs,
                                           java.lang.String dn)
                                    throws IdentityException

  Throws:
    `IdentityException`

### findRoleByDN

    public Role findRoleByDN(java.lang.String dn)
                      throws IdentityException,
                             java.lang.IllegalArgumentException

  method not belonging to UserModule interface - ldap specific.

  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### searchRoles

    public abstract java.util.List searchRoles(java.lang.String filter,
                                               java.lang.Object[] filterArgs)
                                        throws javax.naming.NamingException,
                                               IdentityException

  This method should be used by over modules to perform searches. It will allow role module implementation to apply proper filter and search scope from the configuration

  Parameters:
    `filter` - that will be concatenated with proper role search filter from the module
  Returns:
  Throws:
    `javax.naming.NamingException`
    `IdentityException`

### getRidAttributeID

    protected java.lang.String getRidAttributeID()
                                          throws IdentityException

  Throws:
    `IdentityException`

### getConnectionContext

    protected LDAPConnectionContext getConnectionContext()
                                                  throws IdentityException

  Throws:
    `IdentityException`

### getContainerDN

    protected java.lang.String getContainerDN()
                                       throws IdentityException

  Throws:
    `IdentityException`

### getDisplayNameAttributeID

    protected java.lang.String getDisplayNameAttributeID()
                                                  throws IdentityException

  Throws:
    `IdentityException`

### getSearchTimeLimit

    protected int getSearchTimeLimit()
                              throws IdentityException

  Throws:
    `IdentityException`

### getSearchScope

    protected int getSearchScope()
                          throws IdentityException

  Throws:
    `IdentityException`

### getRoleCtxDN

    protected java.lang.String getRoleCtxDN()
                                     throws IdentityException

  Throws:
    `IdentityException`

### getRoleSearchFilter

    protected java.lang.String getRoleSearchFilter()
                                            throws IdentityException

  Throws:
    `IdentityException`

### setConnectionContext

    public void setConnectionContext(LDAPConnectionContext connectionContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD